#include <bits/stdc++.h>

using namespace std;

int main()

{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    string c1,c2,c3;
    int a1,a2;
    cin>>c3;
    cin>>a1>>a2;
    c1=c3.at(0);
    c2=c3.at(1);

    if(abs(a1-a2)>1)cout<<"nemoguce";
    else if(a1==a2){
        for(int i=0; i<a2; i++){
            cout<<c3;
    }
    }
    else if(a1>a2){
        for(int i=0; i<a2; i++){
            cout<<c3;
    } cout<<c1;
    }
    else if(a2>a1){
        cout<<c2;
        for(int i=0; i<a1; i++){
            cout<<c3;
    }
    }
    
    return 0;
}